%define name 	grsync
%define version 1.2.6
%define release %mkrel 1

Summary: 	Grsync is a GUI (Graphical User Interface) for rsync
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Networking/File transfer
URL: 		http://www.opbyte.it/grsync/
Source0: 	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  pkgconfig
BuildRequires:  gtk+2-devel  
BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
Requires:  	rsync

%description
Grsync is a GUI (Graphical User Interface) for rsync, the commandline
directory synchronization tool. It makes use of the GTK2 libraries and
it is released under the GPL2. It is in beta stage and it supports only
a limited set of rsync features, but can be effectively used to
synchronize local directories.



%prep
%setup -q
perl -p -i -e 's/grsync.png/grsync/g' grsync.desktop

%build
%configure2_5x --enable-unity=no
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="FileTransfer" \
  --add-category="X-MandrivaLinux-System-Archiving-Backup" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

dos2unix NEWS AUTHORS README

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}-batch
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/grsync.png
%{_mandir}/*/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/grsync/grsync.glade
%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-grsync-session.png
%{_datadir}/mime/packages/grsync.xml
%{_datadir}/pixmaps/grsync-busy.png


%changelog
* Tue Mar 15 2016 bb <bb> 1.2.6-1pclos2016
- update

* Thu Aug 27 2014 bb <bb> 1.2.5-1pclos2014
- update
